docObj = activeDocument;
for (i=0; i<docObj.layers.length; i++)
{
	layObj = docObj.layers[i].bounds;
	x1 = parseFloat(layObj[0]);
	y1 = parseFloat(layObj[1]);
	x2 = parseFloat(layObj[2]);
	y2 = parseFloat(layObj[3]);
	w = (x2 - x1);
	h = (y2 - y1);
	if ((w >0) && (h > 0) && (docObj.layers[i].isBackgroundLayer == false))
	{
		if (docObj.layers[i].kind == LayerKind.TEXT)
		{
			n = 80;	//@80%
			docObj.layers[i].resize(n, n, AnchorPosition.MIDDLECENTER);
		}
		if (docObj.layers[i].kind == LayerKind.NORMAL)
		{
			n = 50;	//@50%
			docObj.layers[i].resize(n, n, AnchorPosition.MIDDLECENTER);
		}
	}
}
